@echo on

if not exist test1.bat goto nocd
cd dpmi
rem "%1" = "EXTEND"
:nocd

@echo ########### 16 palette image #############

convert ..\images\VGALOGO.rle test_7.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\images\VGALOGO.rle test_7.bmp /s
@if errorlevel 1 goto error

convert ..\images\VGALOGO.rle test_7.ftg /s
@if errorlevel 1 goto errorc
rem gcomp test_7.bmp test_7.ftg /s
rem @if errorlevel 1 goto error

convert ..\images\VGALOGO.rle test_7.pcx /s
@if errorlevel 1 goto errorc
gcomp test_7.bmp test_7.pcx /s
@if errorlevel 1 goto error



@echo ########### 256 levels gray image #############

convert ..\images\lynne.pcx test_.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.bmp /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.ftg /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.ftg /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.mat /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.mat /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.oko /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.oko /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.pcx /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.pcx /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.ps /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.ps /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.ras /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.ras /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_.txt /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.txt /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX1

convert ..\images\lynne.pcx test_.fts /s
@if errorlevel 1 goto errorc
gcomp ..\images\lynne.pcx test_.fts /s
@if errorlevel 1 goto error


:SKIPEX1
@echo ########### 256 palette image #############

convert ..\images\assist.gif test_6.bmp /s
@if errorlevel 1 goto errorc
gcomp ..\images\assist.gif test_6.bmp /s
@if errorlevel 1 goto error

convert test_6.bmp test_6.ftg /s   
@if errorlevel 1 goto errorc
gcomp ..\images\assist.gif test_6.ftg /s  
@if errorlevel 1 goto error

convert test_6.bmp test_6.pcx /s
@if errorlevel 1 goto errorc
gcomp ..\images\assist.gif test_6.pcx /s
@if errorlevel 1 goto error

convert ..\images\assist.gif test_6.ps /s
@if errorlevel 1 goto errorc
gcomp test_6.bmp test_6.ps /s
@if errorlevel 1 goto error


@echo ########### 2 levels monochrome image #############

convert ..\images\lynne.pcx test_2.bmp /PeelPlane 7 /s
@if errorlevel 1 goto errorc

convert ..\images\lynne.pcx test_2.art /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.art /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_2.ftg /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.ftg /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_2.oko /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.oko /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_2.pcx /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.pcx /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_2.ps /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.ps /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_2.ras /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.ras /s
@if errorlevel 1 goto error

convert ..\images\lynne.pcx test_2.txt /PeelPlane 7 /s
@if errorlevel 1 goto errorc
gcomp test_2.bmp test_2.txt /s
@if errorlevel 1 goto error     


@echo ########### 65536 levels gray image #############

convert ..\images\lenaI16.mat test_3.ftg /s
@if errorlevel 1 goto errorc
gcomp ..\images\lenaI16.mat test_3.ftg /s
@if errorlevel 1 goto error

convert ..\images\lenaI16.mat test_3.mat /s
@if errorlevel 1 goto errorc
gcomp test_3.mat test_3.ftg /s
@if errorlevel 1 goto error

convert ..\images\lenaI16.mat test_3.oko /s
@if errorlevel 1 goto errorc
gcomp test_3.ftg test_3.oko /s
@if errorlevel 1 goto error

convert ..\images\lenaI16.mat test_3.txt /s
@if errorlevel 1 goto errorc
gcomp test_3.mat test_3.txt /s
@if errorlevel 1 goto error

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX3

convert ..\images\lenaI16.mat test_3.fts /s
@if errorlevel 1 goto errorc
gcomp ..\images\lenaI16.mat test_3.fts /s
@if errorlevel 1 goto error


:SKIPEX3
@echo ########### RGB 24 bit color image #############


rem #!!!!!Test fails !!!!!!
convert ..\images\i24.bmp test_4.ftg /s
@if errorlevel 1 goto errorc

@if "%1" == "EXTEND" goto SKIPFAILURE1
gcomp ..\images\i24.bmp test_4.ftg /s
:SKIPFAILURE1

@if errorlevel 1 goto error

rem #Test fails !!!!!!
convert test_4.ftg test_4.bmp /s
@if errorlevel 1 goto errorc
@if "%1" == "EXTEND" goto SKIPFAILURE2
gcomp test_4.ftg test_4.bmp /s
:SKIPFAILURE2
@if errorlevel 1 goto error

convert test_4.bmp test_4.mat /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.mat /s
@if errorlevel 1 goto error

convert test_4.bmp test_4.pcx /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.pcx /s
@if errorlevel 1 goto error

convert test_4.bmp test_4.eps /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.eps /s
@if errorlevel 1 goto error

convert test_4.bmp test_4.ras /s
@if errorlevel 1 goto errorc
gcomp test_4.bmp test_4.ras /s
@if errorlevel 1 goto error


@echo ############# Doubles ###################

@rem ===C++ only===
@if not "%1" == "EXTEND" goto SKIPEX4

convert ..\images\double.mat test_5.fts /s
@if errorlevel 1 goto errorc
gcomp ..\images\double.mat test_5.fts /s
@if errorlevel 1 goto error


:SKIPEX4

@echo ############# END OF TESTS ###################


@echo off
@echo ###############################################

del test_.*
del test_?.*
goto done

:errorc
@echo off
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo Convert of image has been failed
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
goto done

:error
@echo off
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo Test procedure has been failed.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

:done

